Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1264650 - [abrt] epiphany-runtime: g_str_hash(): epiphany killed by SIGSEGV
Summary: [abrt] epiphany-runtime: g_str_hash(): epiphany killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Catanzaro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:83ef6ad26a2abc215eb5094781a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-19 21:25 UTC by Kamil Páral
Modified: 2015-10-03 21:15 UTC (History)
4 users (show)

Fixed In Version: epiphany-3.16.3-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-03 21:15:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: cgroup (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: core_backtrace (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: dso_list (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: environ (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: limits (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: maps (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: mountinfo (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: namespaces (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: open_fds (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: proc_pid_status (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details
File: var_log_messages (deleted)
2015-09-19 21:25 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 755287 0 None None None Never

Description Kamil Páral 2015-09-19 21:25:10 UTC
Description of problem:
Trying out http://it.slashdot.org/story/15/09/19/1731242/crash-chrome-with-16-characters

Version-Release number of selected component:
epiphany-runtime-3.16.2-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        epiphany
crash_function: g_str_hash
executable:     /usr/bin/epiphany
global_pid:     18296
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1871
 #1 ephy_location_entry_set_location at ephy-location-entry.c:1349
 #2 sync_address at ephy-location-controller.c:290
 #8 g_object_notify_by_spec_internal at gobject.c:1149
 #9 g_object_notify at gobject.c:1197
 #10 ephy_location_controller_set_address at ephy-location-controller.c:899
 #11 ephy_window_set_location at ephy-window.c:3806
 #12 sync_tab_address at ephy-window.c:1302
 #18 g_object_notify_by_spec_internal at gobject.c:1149
 #19 g_object_notify at gobject.c:1197

Comment 1 Kamil Páral 2015-09-19 21:25:14 UTC
Created attachment 1075259 [details]
File: backtrace

Comment 2 Kamil Páral 2015-09-19 21:25:15 UTC
Created attachment 1075260 [details]
File: cgroup

Comment 3 Kamil Páral 2015-09-19 21:25:16 UTC
Created attachment 1075261 [details]
File: core_backtrace

Comment 4 Kamil Páral 2015-09-19 21:25:18 UTC
Created attachment 1075262 [details]
File: dso_list

Comment 5 Kamil Páral 2015-09-19 21:25:19 UTC
Created attachment 1075263 [details]
File: environ

Comment 6 Kamil Páral 2015-09-19 21:25:20 UTC
Created attachment 1075264 [details]
File: limits

Comment 7 Kamil Páral 2015-09-19 21:25:22 UTC
Created attachment 1075265 [details]
File: maps

Comment 8 Kamil Páral 2015-09-19 21:25:23 UTC
Created attachment 1075266 [details]
File: mountinfo

Comment 9 Kamil Páral 2015-09-19 21:25:24 UTC
Created attachment 1075267 [details]
File: namespaces

Comment 10 Kamil Páral 2015-09-19 21:25:26 UTC
Created attachment 1075268 [details]
File: open_fds

Comment 11 Kamil Páral 2015-09-19 21:25:27 UTC
Created attachment 1075269 [details]
File: proc_pid_status

Comment 12 Kamil Páral 2015-09-19 21:25:28 UTC
Created attachment 1075270 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-09-22 13:52:08 UTC
epiphany-3.16.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16422

Comment 14 Fedora Update System 2015-09-23 21:23:02 UTC
epiphany-3.16.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update epiphany'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16422

Comment 15 Fedora Update System 2015-10-03 21:15:22 UTC
epiphany-3.16.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.